Jump to content

nrupert

SYNC Members
  • Content Count

    1
  • Joined

  • Last visited

  1. I am looking for a download file of Sync3 v2.2 (v2.3 might work) for an APIM with Navigation. I'm suffering from one of those common issues where a 2016 with early Sync 3 will not update correctly from version 1 straight to version 3. A file of v2.2 would help me out, unless someone has found a better solution. As it currently sits, my unit says it is in v3.0, but voice recognition is "not ready" and I cant use Andriod Auto or update maps due to a faulty update. Please help.
×